API ReferenceUsers
Send a phone verification code
Records the phone number against the authenticated user and texts them a verification code. The number is exchanged for a verified phone via POST /users/me/phone/verify. A user whose phone is already verified cannot change it here.
Authorization
ApiKeyAuth BearerAuth x-api-key<token>
API key for integrator authentication
In: header
AuthorizationBearer <token>
JWT token for user authentication
In: header
Header Parameters
x-api-key*string
API key for authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
import { PaytrieAPI, configure } from '@paytrie/sdk'configure({ headers: { 'x-api-key': process.env.PAYTRIE_API_KEY! } })const { data } = await PaytrieAPI.sendPhoneVerification({ phone: "4161234567"})Empty
{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}